Subject: bug#73648: 29.4; Crash with eglot+gopls and with sly

From: Dmitry Gutov <[email-masked]>
Date: Sun, 6 Oct 2024 04:37:09 +0300

On 05/10/2024 22:45, Pavel Buranov via Bug reports for GNU Emacs, the 
Swiss army knife of text editors wrote:
> When I normally program in Go with the gopls language server, Emacs
> crashes on autocomplete spots. I can't pin down the precise cases when 
> it happens, because it happens spontaneously, but I have learned to type
> very fast in order not to toggle autocompletion. It must be mentioned
> that I use `corfu' with `corfu-auto-delay' set to 0.5 seconds

Could you try building Emacs from the master branch?

IIRC at least one crash bug that manifested with Corfu had been fixed in 
this release cycle, but it's hard to tell whether that it was the same one.